## akonadi-search 17.12.3

=== core/CMakeLists.txt ===
kde_enable_exceptions()

set(CORE_SRCS
    searchstore.cpp
    term.cpp
    query.cpp
    resultiterator.cpp
)

ecm_qt_declare_logging_category(CORE_SRCS HEADER akonadi_search_core_debug.h IDENTIFIER AKONADI_SEARCH_CORE_LOG CATEGORY_NAME org.kde.pim.akonadi_search_core)


add_library(KF5AkonadiSearchCore ${CORE_SRCS})
add_library(KF5::AkonadiSearchCore ALIAS KF5AkonadiSearchCore)

target_link_libraries(KF5AkonadiSearchCore
    PUBLIC
    Qt5::Core
)

set_target_properties(KF5AkonadiSearchCore PROPERTIES
    VERSION ${AKONADISEARCH_VERSION_STRING}
    SOVERSION ${AKONADISEARCH_SOVERSION}
    EXPORT_NAME AkonadiSearchCore
)
target_include_directories(KF5AkonadiSearchCore INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/AkonadiSearch/Core>")

generate_export_header(KF5AkonadiSearchCore BASE_NAME AKONADI_SEARCH_CORE EXPORT_FILE_NAME search_core_export.h)

install(TARGETS KF5AkonadiSearchCore EXPORT KF5AkonadiSearchTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
    searchstore.h
    term.h
    query.h
    resultiterator.h
    ${CMAKE_CURRENT_BINARY_DIR}/search_core_export.h

    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/AkonadiSearch/Core
    COMPONENT Devel
)

=== agent/autotests/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}/..
)

set(indexer_SRCS
    ../emailindexer.cpp
    ../contactindexer.cpp
    ../akonotesindexer.cpp
    ../calendarindexer.cpp
    ../abstractindexer.cpp
    ../collectionindexer.cpp
    ../../search/pimsearchstore.cpp
    ../../search/email/emailsearchstore.cpp
    ../../search/email/agepostingsource.cpp
    ../../search/contact/contactsearchstore.cpp
    ../akonadi_indexer_agent_debug.cpp
)

set(indexer_LIBS
    Qt5::Test
    KF5::AkonadiCore
    KF5::AkonadiMime
    KF5::Mime
    KF5::Contacts
    KF5::CalendarCore
    KF5::AkonadiSearchPIM
    KF5::AkonadiSearchXapian
    KF5::I18n
    KF5::Codecs
)

set(indexertest_SRCS
    indexertest.cpp
    ${indexer_SRCS}
)

add_definitions(-DAKONADI_SEARCH_NO_PLUGINS=TRUE)

add_executable(indexertest ${indexertest_SRCS})
add_test(NAME indexertest COMMAND indexertest)
ecm_mark_as_test(indexertest)
target_link_libraries(indexertest
    ${indexer_LIBS}
)

set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

set(KDEPIMLIBS_RUN_ISOLATED_TESTS TRUE)
set(KDEPIMLIBS_RUN_SQLITE_ISOLATED_TESTS TRUE)

set(scheduler_SRCS
    ../scheduler.cpp
    ../index.cpp
    ../collectionindexingjob.cpp
    ${indexer_SRCS}
)

add_akonadi_isolated_test_advanced(schedulertest.cpp "${scheduler_SRCS}" "${indexer_LIBS}")
add_akonadi_isolated_test_advanced(collectionindexingjobtest.cpp "${scheduler_SRCS}" "${indexer_LIBS}")


if(NOT WIN32)
add_executable(collectionquerytest collectionquerytest.cpp ${query_SRCS} ${indexer_SRCS} ${scheduler_SRCS})
add_test(NAME collectionquerytest COMMAND collectionquerytest)
ecm_mark_as_test(collectionquerytest)
target_link_libraries(collectionquerytest
    ${indexer_LIBS}
    ${QJSON_LIBRARIES}
    KF5::AkonadiSearchPIM
    KF5::ConfigCore
    Qt5::Widgets
    Qt5::DBus
)
endif()

=== search/email/CMakeLists.txt ===
add_library(emailsearchstore MODULE agepostingsource.cpp emailsearchstore.cpp ../pimsearchstore.cpp)

target_link_libraries(emailsearchstore
    Qt5::Core
    KF5::AkonadiCore
    ${XAPIAN_LIBRARIES}
    KF5AkonadiSearchCore
    KF5AkonadiSearchXapian
)

install(TARGETS emailsearchstore DESTINATION ${KDE_INSTALL_PLUGINDIR}/akonadi)

=== debian/changelog ===
akonadi-search (4:17.12.3-1) unstable; urgency=medium

  * New upstream release (17.12.3).
  * Update symbols from buildds for 4:17.12.2
  * bump epoch in symbolsfiles to match version of the package.
  * Update build-deps and deps with the info from cmake.
  * use secure copyright format uri.
  * Use secure uri in d/watch.
  * Update package descriptions.

 -- Sandro Knauß <hefee@debian.org>  Sat, 31 Mar 2018 18:22:35 +0200

=== debian/control ===
Source: akonadi-search
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>, Sandro Knauß <hefee@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.39.0~),
               libkf5akonadi-dev (>= 4:17.12.3~),
               libkf5akonadimime-dev (>= 4:17.12.3~),
               libkf5calendarcore-dev (>= 4:17.12.3~),
               libkf5config-dev (>= 5.39.0~),
               libkf5contacts-dev (>= 4:17.12.3~),
               libkf5crash-dev (>= 5.39.0~),
               libkf5dbusaddons-dev (>= 5.39.0~),
               libkf5i18n-dev (>= 5.39.0~),
               libkf5kcmutils-dev (>= 5.39.0~),
               libkf5kio-dev (>= 5.39.0~),
               libkf5mime-dev (>= 17.12.3~),
               libkf5runner-dev (>= 5.39.0~),
               libxapian-dev,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.8.0~),
               xauth,
               xvfb,
Standards-Version: 4.1.3
Homepage: https://projects.kde.org/projects/kde/pim/akonadi-search
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akonadi-search
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akonadi-search.git

Package: libkf5akonadisearch-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: Akonadi search library - runtime binaries
 Library used to search in the Akonadi PIM data server.
 .
 This package contains runtime binaries.

Package: libkf5akonadisearch-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Akonadi search library - data files
 Library used to search in the Akonadi PIM data server.
 .
 This package contains data files.

Package: libkf5akonadisearch-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:17.12.3~),
         libkf5akonadimime-dev (>= 4:17.12.3~),
         libkf5akonadisearchcore5 (= ${binary:Version}),
         libkf5akonadisearchdebug5 (= ${binary:Version}),
         libkf5akonadisearchpim5 (= ${binary:Version}),
         libkf5akonadisearchxapian5 (= ${binary:Version}),
         libkf5calendarcore-dev (>= 4:17.12.3~),
         libkf5contacts-dev (>= 4:17.12.3~),
         libkf5mime-dev (>= 17.12.3~),
         qtbase5-dev (>= 5.8.0~),
         ${misc:Depends},
Description: Akonadi search library - development files
 Library used to search in the Akonadi PIM data server.
 .
 This package contains the development files.

Package: libkf5akonadisearch-plugins
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Akonadi search library - runtime plugins
 Library used to search in the Akonadi PIM data server.
 .
 This package contains runtime plugins.
Breaks: kmail (<< 4:17.08)

Package: libkf5akonadisearchcore5
Architecture: any
Multi-Arch: same
Depends: libkf5akonadisearch-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5akonadisearch-bin,
            libkf5akonadisearch-plugins (= ${binary:Version}),
Description: Akonadi search core library
 Internal library used to search in the Akonadi PIM data server.
 This package contains the core library.

Package: libkf5akonadisearchdebug5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Akonadi search debug library
 Internal library used to search in the Akonadi PIM data server.
 This package contains the debug library.
Breaks: kaddressbook (<< 4:17.08), kmail (<< 4:17.08), knotes (<< 4:17.08)

Package: libkf5akonadisearchpim5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: libkf5akonadisearch-bin,
            libkf5akonadisearch-plugins (= ${binary:Version}),
Description: Akonadi search library
 Library used to search in the Akonadi PIM data server.
Breaks: knotes (<< 4:17.08),
        korganizer (<< 4:17.08),
        libkf5libkdepim5 (<< 4:17.08),
        libkf5messagelist5 (<< 4:17.08),

Package: libkf5akonadisearchxapian5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Akonadi search xapian library
 Internal library used to search in the Akonadi PIM data server.
 This package contains the xapian library.

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         dbus (>= 1.8), xvfb, xauth, akonadi-backend-sqlite
Restrictions: build-needed

Tests: acc
Depends: @, dh-acc, exuberant-ctags
Restrictions: allow-stderr

## akonadi-search 18.04.3

=== debian/changelog ===
akonadi-search (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)
  * Update symbols from build logs

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 18:52:37 +0100

akonadi-search (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:21:50 +0000

akonadi-search (4:17.12.2-0ubuntu3) bionic; urgency=medium

  * Re-enable and fix failing acc test:
    - add libxapian-dev to libkf5akonadisearch-dev Depends
    - add /usr/include/xapian.h on top of <headers>

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 02 Mar 2018 18:52:33 +0000

akonadi-search (4:17.12.2-0ubuntu2) bionic; urgency=medium

  * 'out-of-patience-error' so disable buggy acc header compilation

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 01 Mar 2018 22:20:56 +0000

akonadi-search (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * Add missing -dev package depend on libkf5akonadisearchxapian5 lib
  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)
  * Update symbols from build logs

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 28 Feb 2018 09:43:26 +0000

akonadi-search (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * Update symbols from build logs
  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:00:14 +0000

=== debian/control ===
Source: akonadi-search
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libboost-dev,
               libkf5akonadi-dev (>= 4:18.04.3~),
               libkf5akonadimime-dev (>= 4:18.04.3~),
               libkf5akonadiserver-dev (>= 4:18.04.3~),
               libkf5calendarcore-dev (>= 4:18.04.3~),
               libkf5config-dev (>= 5.31.0~),
               libkf5contacts-dev (>= 4:18.04.3~),
               libkf5crash-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5mime-dev (>= 18.04.3~),
               libkf5runner-dev (>= 5.31.0~),
               libxapian-dev,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.6.1~),
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/pim/akonadi-search
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-search
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-search

Package: libkf5akonadisearch-dev
Section: libdevel
Architecture: any
Depends: libkf5akonadi-dev (>= 4:18.04.3~),
         libkf5akonadimime-dev (>= 4:18.04.3~),
         libkf5akonadisearchcore5 (= ${binary:Version}),
         libkf5akonadisearchdebug5 (= ${binary:Version}),
         libkf5akonadisearchpim5 (= ${binary:Version}),
         libkf5akonadisearchxapian5 (= ${binary:Version}),
         libkf5akonadiserver-dev (>= 4:18.04.3~),
         libkf5calendarcore-dev (>= 4:18.04.3~),
         libkf5contacts-dev (>= 4:18.04.3~),
         libkf5coreaddons-dev (>= 5.31.0~),
         libkf5mime-dev (>= 18.04.3~),
         libxapian-dev,
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends},
Description: Akonadi search library - development files
 Library used to search in the Akonadi PIM data server.
 .
 This package contains the development files.

Package: libkf5akonadisearch-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Akonadi search library - runtime binaries
 Library used to search in the Akonadi PIM data server.
 .
 This package contains runtime binaries.

Package: libkf5akonadisearch-plugins
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Akonadi search library - runtime plugins
 Library used to search in the Akonadi PIM data server.
 .
 This package contains runtime plugins.

Package: libkf5akonadisearch-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: Akonadi search library - data files
 Library used to search in the Akonadi PIM data server.
 .
 This package contains data files.

Package: libkf5akonadisearchpim5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Akonadi search library
 Library used to search in the Akonadi PIM data server.

Package: libkf5akonadisearchxapian5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Akonadi search xapian library
 Internal library used to search in the Akonadi PIM data server.

Package: libkf5akonadisearchdebug5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Akonadi search debug library
 Internal library used to search in the Akonadi PIM data server.

Package: libkf5akonadisearchcore5
Architecture: any
Multi-Arch: same
Depends: libkf5akonadisearch-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libkf5akonadisearch-bin,
            libkf5akonadisearch-plugins (= ${binary:Version})
Description: Akonadi search core library
 Internal library used to search in the Akonadi PIM data server.

## akonadi-search 18.08.1

=== debian/changelog ===
akonadi-search (4:18.08.1-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.2.1 (No changes needed).
  * Follow stable releases in KDE again.
  * New upstream release (18.08.1).
  * Update build-deps and deps with the info from cmake.

 -- Sandro Knauß <hefee@debian.org>  Tue, 02 Oct 2018 23:18:45 +0200

akonadi-search (4:18.07.90-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * Update watch file to match unstable releases, too.
  * New upstream release (18.07.90).
  * Bump Standards-Version to 4.2.0 (No changes needed).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 18.07.90.
  * Update copyright file for new upstream.

 -- Sandro Knauß <hefee@debian.org>  Sat, 18 Aug 2018 11:18:51 +0200

=== debian/control ===
Source: akonadi-search
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>, Sandro Knauß <hefee@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.47.0~),
               libkf5akonadi-dev (>= 4:18.08.1~),
               libkf5akonadimime-dev (>= 4:18.08.1~),
               libkf5calendarcore-dev (>= 4:18.08.1~),
               libkf5config-dev (>= 5.47.0~),
               libkf5contacts-dev (>= 4:18.08.1~),
               libkf5crash-dev (>= 5.47.0~),
               libkf5dbusaddons-dev (>= 5.47.0~),
               libkf5i18n-dev (>= 5.47.0~),
               libkf5kcmutils-dev (>= 5.47.0~),
               libkf5kio-dev (>= 5.47.0~),
               libkf5mime-dev (>= 18.08.1~),
               libkf5runner-dev (>= 5.47.0~),
               libxapian-dev,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.9.0~),
               xauth,
               xvfb,
Standards-Version: 4.2.1
Homepage: https://projects.kde.org/projects/kde/pim/akonadi-search
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akonadi-search
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akonadi-search.git

Package: libkf5akonadisearch-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: Akonadi search library - runtime binaries
 Library used to search in the Akonadi PIM data server.
 .
 This package contains runtime binaries.

Package: libkf5akonadisearch-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Akonadi search library - data files
 Library used to search in the Akonadi PIM data server.
 .
 This package contains data files.

Package: libkf5akonadisearch-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:18.08.1~),
         libkf5akonadimime-dev (>= 4:18.08.1~),
         libkf5akonadisearchcore5 (= ${binary:Version}),
         libkf5akonadisearchdebug5 (= ${binary:Version}),
         libkf5akonadisearchpim5 (= ${binary:Version}),
         libkf5akonadisearchxapian5 (= ${binary:Version}),
         libkf5calendarcore-dev (>= 4:18.08.1~),
         libkf5contacts-dev (>= 4:18.08.1~),
         libkf5mime-dev (>= 18.08.1~),
         qtbase5-dev (>= 5.9.0~),
         ${misc:Depends},
Description: Akonadi search library - development files
 Library used to search in the Akonadi PIM data server.
 .
 This package contains the development files.

Package: libkf5akonadisearch-plugins
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Akonadi search library - runtime plugins
 Library used to search in the Akonadi PIM data server.
 .
 This package contains runtime plugins.
Breaks: kmail (<< 4:17.08)

Package: libkf5akonadisearchcore5
Architecture: any
Multi-Arch: same
Depends: libkf5akonadisearch-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5akonadisearch-bin,
            libkf5akonadisearch-plugins (= ${binary:Version}),
Description: Akonadi search core library
 Internal library used to search in the Akonadi PIM data server.
 This package contains the core library.

Package: libkf5akonadisearchdebug5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Akonadi search debug library
 Internal library used to search in the Akonadi PIM data server.
 This package contains the debug library.
Breaks: kaddressbook (<< 4:17.08), kmail (<< 4:17.08), knotes (<< 4:17.08)

Package: libkf5akonadisearchpim5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: libkf5akonadisearch-bin,
            libkf5akonadisearch-plugins (= ${binary:Version}),
Description: Akonadi search library
 Library used to search in the Akonadi PIM data server.
Breaks: knotes (<< 4:17.08),
        korganizer (<< 4:17.08),
        libkf5libkdepim5 (<< 4:17.08),
        libkf5messagelist5 (<< 4:17.08),

Package: libkf5akonadisearchxapian5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Akonadi search xapian library
 Internal library used to search in the Akonadi PIM data server.
 This package contains the xapian library.

## akonadi-search 18.08.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

set(PIM_VERSION "5.9.3")
project(AkonadiSearch VERSION ${PIM_VERSION})

# ECM setup
set(KF5_VERSION "5.47.0")

find_package(ECM ${KF5_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(CMakePackageConfigHelpers)
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(ECMAddTests)
include(ECMQtDeclareLoggingCategory)
include(ECMCoverageOption)

set(AKONADISEARCH_VERSION ${PIM_VERSION})

set(AKONADI_VERSION "5.9.3")
set(AKONADI_MIMELIB_VERSION "5.9.3")
set(KCONTACTS_LIB_VERSION "5.9.3")
set(KCALENDARCORE_LIB_VERSION "5.9.3")
set(KMIME_LIB_VERSION "5.9.3")
set(QT_REQUIRED_VERSION "5.9.0")

find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Core Test)
find_package(KF5 ${KF5_VERSION} REQUIRED COMPONENTS I18n Config Crash KCMUtils)
if (NOT WIN32)
    find_package(KF5Runner ${KF5_VERSION} REQUIRED)
endif()


find_package(Xapian CONFIG)
set_package_properties(Xapian PROPERTIES
    DESCRIPTION "The Xapian search engine library"
    URL "http://xapian.org"
    TYPE REQUIRED
)

find_package(KF5Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
find_package(KF5Contacts ${KCONTACTS_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiMime ${AKONADI_MIMELIB_VERSION} CONFIG REQUIRED)
find_package(KF5CalendarCore ${KCALENDARCORE_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5KIO ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5DBusAddons ${KF5_VERSION} CONFIG REQUIRED)

ecm_setup_version(PROJECT
    VARIABLE_PREFIX AKONADISEARCH
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/akonadi_search_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5AkonadiSearchConfigVersion.cmake"
    SOVERSION 5
)

# Compiler flags
add_definitions(-DQT_NO_KEYWORDS)
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
add_definitions(-DQT_USE_QSTRINGBUILDER)
add_definitions(-DTRANSLATION_DOMAIN=\"akonadi_search\")
add_definitions("-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII")
# Turn exceptions on
kde_enable_exceptions()

include_directories(
  ${XAPIAN_INCLUDE_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/core
  ${CMAKE_BINARY_DIR}/core
  ${CMAKE_SOURCE_DIR}/xapian
  ${CMAKE_BINARY_DIR}/xapian
)

# Targets
add_subdirectory(xapian)
add_subdirectory(core)
add_subdirectory(agent)
add_subdirectory(lib)
add_subdirectory(akonadiplugin)
add_subdirectory(search)
add_subdirectory(debug)
if (NOT WIN32)
    add_subdirectory(runner)
endif()

# Config files
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5AkonadiSearch")

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KF5AkonadiSearchConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5AkonadiSearchConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KF5AkonadiSearchConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5AkonadiSearchConfigVersion.cmake"
    DESTINATION ${CMAKECONFIG_INSTALL_DIR}
    COMPONENT devel
)

install(EXPORT KF5AkonadiSearchTargets
        NAMESPACE KF5::
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE KF5AkonadiSearchTargets.cmake)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/akonadi_search_version.h"
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}
    COMPONENT Devel
)

install( FILES akonadi-search.renamecategories akonadi-search.categories DESTINATION ${KDE_INSTALL_CONFDIR} )

feature_summary(WHAT ALL
    INCLUDE_QUIET_PACKAGES
    FATAL_ON_MISSING_REQUIRED_PACKAGES
)

ki18n_install(po)

=== akonadiplugin/CMakeLists.txt ===
kde_enable_exceptions()

set(akonadi_search_plugin_SRCS searchplugin.cpp)
ecm_qt_declare_logging_category(akonadi_search_plugin_SRCS HEADER akonadiplugin_indexer_debug.h IDENTIFIER AKONADIPLUGIN_INDEXER_LOG CATEGORY_NAME org.kde.pim.akonadiplugin_indexer)

add_library(akonadi_search_plugin
 MODULE
    ${akonadi_search_plugin_SRCS}
)

target_link_libraries(akonadi_search_plugin
    KF5::AkonadiCore
    KF5::AkonadiMime
    KF5::AkonadiSearchCore
    KF5::Contacts
)

install(TARGETS akonadi_search_plugin DESTINATION ${KDE_INSTALL_PLUGINDIR}/akonadi)

if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

=== runner/CMakeLists.txt ===
ecm_qt_declare_logging_category(pimcontactsrunner_DEBUG HEADER akonadi_runner_debug.h
    IDENTIFIER AKONADI_KRUNNER_LOG
    CATEGORY_NAME org.kde.pim.akonadi_krunner_plugin
)

set(pimcontactsrunner_SRCS
    pimcontactsrunner.cpp
    ${pimcontactsrunner_DEBUG}
)

add_library(krunner_pimcontacts MODULE ${pimcontactsrunner_SRCS})
target_link_libraries(krunner_pimcontacts
    KF5::Runner
    KF5::AkonadiCore
    KF5AkonadiSearchPIM
    KF5::I18n
    KF5::Contacts
    KF5::Codecs
)

set(pimcontactsrunnerconfig_SRCS
    pimcontactsrunnerconfig.cpp
    ${pimcontactsrunner_DEBUG}
)

add_library(kcm_krunner_pimcontacts MODULE ${pimcontactsrunnerconfig_SRCS})
target_link_libraries(kcm_krunner_pimcontacts
    Qt5::Gui
    KF5::KCMUtils
    KF5::I18n
)


install(TARGETS krunner_pimcontacts
                kcm_krunner_pimcontacts
        DESTINATION ${PLUGIN_INSTALL_DIR}
)
install(FILES plasma-krunner-pimcontacts.desktop
              plasma-krunner-pimcontacts_config.desktop
        DESTINATION ${SERVICES_INSTALL_DIR}
)

=== xapian/CMakeLists.txt ===
kde_enable_exceptions()

set(XAPIAN_SRCS
    xapiansearchstore.cpp
    xapiandocument.cpp
    xapiandatabase.cpp
    xapiantermgenerator.cpp
    xapianqueryparser.cpp
)

ecm_qt_declare_logging_category(XAPIAN_SRCS HEADER akonadi_search_xapian_debug.h IDENTIFIER AKONADI_SEARCH_XAPIAN_LOG CATEGORY_NAME org.kde.pim.akonadi_search_xapian)

add_library(KF5AkonadiSearchXapian ${XAPIAN_SRCS})
add_library(KF5::AkonadiSearchXapian ALIAS KF5AkonadiSearchXapian)

target_link_libraries(KF5AkonadiSearchXapian PUBLIC
    Qt5::Core
    KF5::AkonadiSearchCore
    ${XAPIAN_LIBRARIES}
)

set_target_properties(KF5AkonadiSearchXapian PROPERTIES
    VERSION ${AKONADISEARCH_VERSION_STRING}
    SOVERSION ${AKONADISEARCH_SOVERSION}
    EXPORT_NAME AkonadiSearchXapian
)

generate_export_header(KF5AkonadiSearchXapian BASE_NAME AKONADI_SEARCH_XAPIAN EXPORT_FILE_NAME search_xapian_export.h)

install(TARGETS KF5AkonadiSearchXapian EXPORT KF5AkonadiSearchTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
    xapiandatabase.h
    xapiandocument.h
    xapianqueryparser.h
    xapiansearchstore.h
    xapiantermgenerator.h
    ${CMAKE_CURRENT_BINARY_DIR}/search_xapian_export.h

    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/AkonadiSearch/Xapian
    COMPONENT Devel
)

if(BUILD_TESTING)
    add_subdirectory(tests)
    add_subdirectory(autotests)
endif()

=== akonadiplugin/autotests/CMakeLists.txt ===
include(ECMMarkAsTest)

set(QT_REQUIRED_VERSION "5.9.0")
find_package(Qt5Test ${QT_REQUIRED_VERSION} CONFIG REQUIRED)


include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}/..
  ${CMAKE_CURRENT_BINARY_DIR}/../../agent/
  ${CMAKE_CURRENT_BINARY_DIR}/..
)

set(searchplugintest_SRCS
    searchplugintest.cpp
    ../searchplugin.cpp
    ../../agent/emailindexer.cpp
    ../../agent/calendarindexer.cpp
    ../../agent/contactindexer.cpp
    ../../agent/abstractindexer.cpp
    ../../agent/akonotesindexer.cpp
    ../../search/pimsearchstore.cpp
    ../../search/email/emailsearchstore.cpp
    ../../search/email/agepostingsource.cpp
    ../../search/contact/contactsearchstore.cpp
    ../../search/calendar/calendarsearchstore.cpp
    ../../search/note/notesearchstore.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/../../agent/akonadi_indexer_agent_debug.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/../akonadiplugin_indexer_debug.cpp
)

add_definitions(-DAKONADI_SEARCH_NO_PLUGINS=TRUE)

add_executable( searchplugintest ${searchplugintest_SRCS} )
add_test( NAME searchplugintest COMMAND searchplugintest )
ecm_mark_as_test(searchplugintest)

target_link_libraries(searchplugintest
    Qt5::Test
    KF5::AkonadiCore
    KF5::AkonadiMime
    KF5::Mime
    KF5::Contacts
    ${XAPIAN_LIBRARIES}
    KF5::CalendarCore
    KF5::AkonadiSearchPIM
    KF5::AkonadiSearchXapian
    KF5::Codecs
)

=== debian/changelog ===
akonadi-search (4:18.08.3-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (18.08.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.3.0 (No changes needed).
  * Removed acc autopkgtest.
  * Removed testsuite autopkgtest.

 -- Sandro Knauß <hefee@debian.org>  Mon, 04 Feb 2019 15:59:48 +0100

=== debian/control ===
--- 
+++ 
@@ -6,24 +6,24 @@
 Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11),
                extra-cmake-modules (>= 5.47.0~),
-               libkf5akonadi-dev (>= 4:18.08.1~),
-               libkf5akonadimime-dev (>= 4:18.08.1~),
-               libkf5calendarcore-dev (>= 4:18.08.1~),
+               libkf5akonadi-dev (>= 4:18.08.3~),
+               libkf5akonadimime-dev (>= 4:18.08.3~),
+               libkf5calendarcore-dev (>= 4:18.08.3~),
                libkf5config-dev (>= 5.47.0~),
-               libkf5contacts-dev (>= 4:18.08.1~),
+               libkf5contacts-dev (>= 4:18.08.3~),
                libkf5crash-dev (>= 5.47.0~),
                libkf5dbusaddons-dev (>= 5.47.0~),
                libkf5i18n-dev (>= 5.47.0~),
                libkf5kcmutils-dev (>= 5.47.0~),
                libkf5kio-dev (>= 5.47.0~),
-               libkf5mime-dev (>= 18.08.1~),
+               libkf5mime-dev (>= 18.08.3~),
                libkf5runner-dev (>= 5.47.0~),
                libxapian-dev,
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.9.0~),
                xauth,
                xvfb,
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: https://projects.kde.org/projects/kde/pim/akonadi-search
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akonadi-search
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akonadi-search.git
@@ -51,15 +51,15 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:18.08.1~),
-         libkf5akonadimime-dev (>= 4:18.08.1~),
+Depends: libkf5akonadi-dev (>= 4:18.08.3~),
+         libkf5akonadimime-dev (>= 4:18.08.3~),
          libkf5akonadisearchcore5 (= ${binary:Version}),
          libkf5akonadisearchdebug5 (= ${binary:Version}),
          libkf5akonadisearchpim5 (= ${binary:Version}),
          libkf5akonadisearchxapian5 (= ${binary:Version}),
-         libkf5calendarcore-dev (>= 4:18.08.1~),
-         libkf5contacts-dev (>= 4:18.08.1~),
-         libkf5mime-dev (>= 18.08.1~),
+         libkf5calendarcore-dev (>= 4:18.08.3~),
+         libkf5contacts-dev (>= 4:18.08.3~),
+         libkf5mime-dev (>= 18.08.3~),
          qtbase5-dev (>= 5.9.0~),
          ${misc:Depends},
 Description: Akonadi search library - development files

## akonadi-search 18.12.3

=== debian/changelog ===
akonadi-search (4:18.12.3-0ubuntu2) disco; urgency=medium

  * No-change rebuild for fixed akonadi server.

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 07 Apr 2019 17:44:04 +0100

akonadi-search (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 16 Mar 2019 15:03:48 +0000

akonadi-search (4:18.04.3-0ubuntu2) disco; urgency=medium

  * Follow Debian dropping of autotests.

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Feb 2019 08:04:16 +0000

=== debian/control ===
Source: akonadi-search
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libboost-dev,
               libkf5akonadi-dev (>= 4:18.12.3~),
               libkf5akonadimime-dev (>= 4:18.12.3~),
               libkf5akonadiserver-dev (>= 4:18.12.3~),
               libkf5calendarcore-dev (>= 4:18.12.3~),
               libkf5config-dev (>= 5.31.0~),
               libkf5contacts-dev (>= 4:18.12.3~),
               libkf5crash-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5mime-dev (>= 18.12.3~),
               libkf5runner-dev (>= 5.31.0~),
               libxapian-dev,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.6.1~),
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/pim/akonadi-search
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-search
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-search

Package: libkf5akonadisearch-dev
Section: libdevel
Architecture: any
Depends: libkf5akonadi-dev (>= 4:18.12.3~),
         libkf5akonadimime-dev (>= 4:18.12.3~),
         libkf5akonadisearchcore5 (= ${binary:Version}),
         libkf5akonadisearchdebug5 (= ${binary:Version}),
         libkf5akonadisearchpim5 (= ${binary:Version}),
         libkf5akonadisearchxapian5 (= ${binary:Version}),
         libkf5akonadiserver-dev (>= 4:18.12.3~),
         libkf5calendarcore-dev (>= 4:18.12.3~),
         libkf5contacts-dev (>= 4:18.12.3~),
         libkf5coreaddons-dev (>= 5.31.0~),
         libkf5mime-dev (>= 18.12.3~),
         libxapian-dev,
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends},
Description: Akonadi search library - development files
 Library used to search in the Akonadi PIM data server.
 .
 This package contains the development files.

Package: libkf5akonadisearch-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Akonadi search library - runtime binaries
 Library used to search in the Akonadi PIM data server.
 .
 This package contains runtime binaries.

Package: libkf5akonadisearch-plugins
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Akonadi search library - runtime plugins
 Library used to search in the Akonadi PIM data server.
 .
 This package contains runtime plugins.

Package: libkf5akonadisearch-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: Akonadi search library - data files
 Library used to search in the Akonadi PIM data server.
 .
 This package contains data files.

Package: libkf5akonadisearchpim5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Akonadi search library
 Library used to search in the Akonadi PIM data server.

Package: libkf5akonadisearchxapian5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Akonadi search xapian library
 Internal library used to search in the Akonadi PIM data server.

Package: libkf5akonadisearchdebug5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Akonadi search debug library
 Internal library used to search in the Akonadi PIM data server.

Package: libkf5akonadisearchcore5
Architecture: any
Multi-Arch: same
Depends: libkf5akonadisearch-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libkf5akonadisearch-bin,
            libkf5akonadisearch-plugins (= ${binary:Version})
Description: Akonadi search core library
 Internal library used to search in the Akonadi PIM data server.

## akonadi-search 19.04.3

=== debian/changelog ===
akonadi-search (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 23 Jul 2019 18:53:21 +0100

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,16 @@
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
                libboost-dev,
-               libkf5akonadi-dev (>= 4:18.12.3~),
-               libkf5akonadimime-dev (>= 4:18.12.3~),
-               libkf5akonadiserver-dev (>= 4:18.12.3~),
-               libkf5calendarcore-dev (>= 4:18.12.3~),
+               libkf5akonadi-dev (>= 4:19.04.3~),
+               libkf5akonadimime-dev (>= 4:19.04.3~),
+               libkf5akonadiserver-dev (>= 4:19.04.3~),
+               libkf5calendarcore-dev (>= 4:19.04.3~),
                libkf5config-dev (>= 5.31.0~),
-               libkf5contacts-dev (>= 4:18.12.3~),
+               libkf5contacts-dev (>= 4:19.04.3~),
                libkf5crash-dev (>= 5.31.0~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5kcmutils-dev (>= 5.31.0~),
-               libkf5mime-dev (>= 18.12.3~),
+               libkf5mime-dev (>= 19.04.3~),
                libkf5runner-dev (>= 5.31.0~),
                libxapian-dev,
                pkg-kde-tools (>> 0.15.15),
@@ -29,17 +29,17 @@
 Package: libkf5akonadisearch-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5akonadi-dev (>= 4:18.12.3~),
-         libkf5akonadimime-dev (>= 4:18.12.3~),
+Depends: libkf5akonadi-dev (>= 4:19.04.3~),
+         libkf5akonadimime-dev (>= 4:19.04.3~),
          libkf5akonadisearchcore5 (= ${binary:Version}),
          libkf5akonadisearchdebug5 (= ${binary:Version}),
          libkf5akonadisearchpim5 (= ${binary:Version}),
          libkf5akonadisearchxapian5 (= ${binary:Version}),
-         libkf5akonadiserver-dev (>= 4:18.12.3~),
-         libkf5calendarcore-dev (>= 4:18.12.3~),
-         libkf5contacts-dev (>= 4:18.12.3~),
+         libkf5akonadiserver-dev (>= 4:19.04.3~),
+         libkf5calendarcore-dev (>= 4:19.04.3~),
+         libkf5contacts-dev (>= 4:19.04.3~),
          libkf5coreaddons-dev (>= 5.31.0~),
-         libkf5mime-dev (>= 18.12.3~),
+         libkf5mime-dev (>= 19.04.3~),
          libxapian-dev,
          qtbase5-dev (>= 5.6.1~),
          ${misc:Depends},

## akonadi-search 19.08.3

=== debian/changelog ===
akonadi-search (4:19.08.3-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (19.08.3).
  * Update build-deps and deps with the info from cmake.

 -- Sandro Knauß <hefee@debian.org>  Sat, 30 Nov 2019 22:54:58 +0100

akonadi-search (4:19.08.2-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (19.08.2).
  * Update build-deps and deps with the info from cmake.
  * Remove breaks against kde-l10n packages.
  * Update install files for new upstream release.
  * Remove disable_failing_tests patch.

 -- Sandro Knauß <hefee@debian.org>  Fri, 08 Nov 2019 10:39:36 +0100

akonadi-search (4:18.08.3-3) unstable; urgency=medium

  * Release to unstable.

 -- Sandro Knauß <hefee@debian.org>  Thu, 14 Nov 2019 23:50:01 +0100

akonadi-search (4:18.08.3-2) experimental; urgency=medium

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.4.1 (No changes needed).
  * Bump compat level to 12.
  * Delete not needed Breaks/Confilcts.
  * Use virtual packages to bundle KDEPIM.
  * Enforce depdendencies between KDEPIM packages to enable bundling.

 -- Sandro Knauß <hefee@debian.org>  Sat, 05 Oct 2019 00:56:47 +0200

=== debian/control ===
Source: akonadi-search
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>, Sandro Knauß <hefee@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 5.60.0~),
               libkf5akonadi-dev (>= 4:19.08.3~),
               libkf5akonadimime-dev (>= 4:19.08.3~),
               libkf5calendarcore-dev (>= 4:19.08.3~),
               libkf5config-dev (>= 5.60.0~),
               libkf5contacts-dev (>= 4:19.08.3~),
               libkf5crash-dev (>= 5.60.0~),
               libkf5dbusaddons-dev (>= 5.60.0~),
               libkf5i18n-dev (>= 5.60.0~),
               libkf5kcmutils-dev (>= 5.60.0~),
               libkf5kio-dev (>= 5.60.0~),
               libkf5mime-dev (>= 19.08.3~),
               libkf5runner-dev (>= 5.60.0~),
               libxapian-dev,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.11.0~),
               xauth,
               xvfb
Standards-Version: 4.4.1
Homepage: https://projects.kde.org/projects/kde/pim/akonadi-search
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akonadi-search
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akonadi-search.git

Package: libkf5akonadisearch-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Akonadi search library - runtime binaries
 Library used to search in the Akonadi PIM data server.
 .
 This package contains runtime binaries.

Package: libkf5akonadisearch-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Akonadi search library - data files
 Library used to search in the Akonadi PIM data server.
 .
 This package contains data files.

Package: libkf5akonadisearch-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:19.08.3~),
         libkf5akonadimime-dev (>= 4:19.08.3~),
         libkf5akonadisearchcore5 (= ${binary:Version}),
         libkf5akonadisearchdebug5 (= ${binary:Version}),
         libkf5akonadisearchpim5 (= ${binary:Version}),
         libkf5akonadisearchxapian5 (= ${binary:Version}),
         libkf5calendarcore-dev (>= 4:19.08.3~),
         libkf5contacts-dev (>= 4:19.08.3~),
         libkf5mime-dev (>= 19.08.3~),
         qtbase5-dev (>= 5.11.0~),
         ${misc:Depends}
Description: Akonadi search library - development files
 Library used to search in the Akonadi PIM data server.
 .
 This package contains the development files.

Package: libkf5akonadisearch-plugins
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Akonadi search library - runtime plugins
 Library used to search in the Akonadi PIM data server.
 .
 This package contains runtime plugins.

Package: libkf5akonadisearchcore5
Architecture: any
Multi-Arch: same
Depends: libkf5akonadisearch-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libkf5akonadisearch-bin,
            libkf5akonadisearch-plugins (= ${binary:Version})
Description: Akonadi search core library
 Internal library used to search in the Akonadi PIM data server.
 This package contains the core library.
Provides: ${ABI:VirtualPackage}

Package: libkf5akonadisearchdebug5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Akonadi search debug library
 Internal library used to search in the Akonadi PIM data server.
 This package contains the debug library.
Provides: ${ABI:VirtualPackage}

Package: libkf5akonadisearchpim5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: libkf5akonadisearch-bin,
            libkf5akonadisearch-plugins (= ${binary:Version})
Description: Akonadi search library
 Library used to search in the Akonadi PIM data server.
Provides: ${ABI:VirtualPackage}

Package: libkf5akonadisearchxapian5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Akonadi search xapian library
 Internal library used to search in the Akonadi PIM data server.
 This package contains the xapian library.
Provides: ${ABI:VirtualPackage}

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

AbiVirtualPackageVersion = $(call dpkg_late_eval,AbiVirtualPackageVersion,echo '${DEB_VERSION_UPSTREAM}' | sed -e 's/\.[0-9]\+$$//')
pkgs_lib = $(filter-out %-dev %-doc %-dbg %-data %-bin %-plugins,$(filter lib%,$(shell dh_listpackages)))

override_dh_makeshlibs:
	for pkg in $(pkgs_lib); do \
		name=$$( echo "$${pkg}" | sed -e 's/abi[0-9]\+\s*//'); \
		echo "ABI:VirtualPackage=$${name}-${AbiVirtualPackageVersion}" >> debian/$${pkg}.substvars; \
		$(overridden_command) -p$${pkg} -V "$${pkg} (>= $(DEB_VERSION_EPOCH_UPSTREAM)), $${name}-${AbiVirtualPackageVersion}"; \
	done

override_dh_strip:
	$(overridden_command) --dbgsym-migration='libkf5akonadisearch-dbg (<= 15.12.1-1~~)'

override_dh_auto_test:
	- xvfb-run -- dh_auto_test --no-parallel
